%Mostra os SV de cada canal e de todos agrupados para mostrar o ganho em numero de pontos a serem comparados.
clear all;
close all;


[Resp,RPos] = LeDadoIt(15);
RPos'
%ruido = randn(18,50).*(0.000488*8); Resp = Resp + ruido;

PontoMedido = Resp;

%Numero de SVD usados
kSV = 49
NPoint = size(PontoMedido,2);


%Shaper para o sinal onde ocorreu a interacao
SizeDelay = 25;
PontoMedidoModificado = zeros(1,NPoint);
PontoMedidoModificado(1:SizeDelay) = PontoMedido(8,1:SizeDelay);
PontoMedidoModificado(SizeDelay+1:NPoint) = PontoMedido(8,SizeDelay+1:NPoint)-PontoMedido(8,1:NPoint-SizeDelay);


	%acha so sv de cada sinal
	SV(1,:) = henkSVD(PontoMedido(1,:),kSV)';
	SV(2,:) = henkSVD(PontoMedido(2,:),kSV)';
	SV(3,:) = henkSVD(PontoMedido(3,:),kSV)';
	SV(4,:) = henkSVD(PontoMedido(7,:),kSV)';

	SV(5,:) = henkSVD(PontoMedidoModificado,kSV)';

	SV(6,:) = henkSVD(PontoMedido(9,:),kSV)';

	SV(7,:) = henkSVD(PontoMedido(13,:),kSV)';
	SV(8,:) = henkSVD(PontoMedido(14,:),kSV)';
	SV(9,:) = henkSVD(PontoMedido(15,:),kSV)';


for indice=1:9
	indice;
	figure, plot(SV(indice,:));

	max(find(SV(indice,:)>((max(SV(indice,:))-min(SV(indice,:)))*0.001)))
end

svglobal = [SV(1,:) SV(2,:) SV(3,:) SV(4,:) SV(5,:) SV(6,:) SV(7,:) SV(8,:) SV(9,:)];
svg = sort(svglobal);
svg = svg(441:-1:1);

max(find(svg>((max(svg)-min(svg))*0.001)))

figure, plot(svg);
figure, plot(svg(1:100));


%atribui Respostas
%[erroEmOrdem, Loc]   = sort(ListaErro(:,1));
%[erroEmOrdem5, Loc5] = sort(ListaErro5(:,1));
%[erroEmOrdemR, LocR] = sort(ListaErroR(:,1));





